View Issue Details

IDProjectCategoryView StatusLast Update
0000185Silver Monkey[All Projects] Bug Reportspublic2018-02-11 16:27
ReporterPardryll 
Assigned Togerolkae 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Platformx64OSWindowsOS Version10
Product Version2.19.PreAlpha 53 
Target VersionFixed in Version 
Summary0000185: Program lock-up, had to force-quit
DescriptionExactly what it says on the box. In the Furcadia instance, I couldn't see what I was saying - or anyone within sight of the bot was saying. I had to go into Task Manager to close the bot and when I re-opened, it, it crashed immediately (see other recent crash for details.)
Steps To ReproduceOpen bot
Let it run for 12+ hours
???
Crash
Profit
TagsCrash, glitch

Relationships

Activities

gerolkae

2018-02-02 15:44

administrator   ~0000487

Im monitiring this one,
It does pop up occasionally in tests,

gerolkae

2018-02-11 16:27

administrator   ~0000488

Must have been internal exceptions firing off

I haven't seen this in a while either, But I have been fixing Exceptions and optimizing what I can,

For a while there DreamIfo and Triggering Furre Variables were causing Cancelation Exceptions,
Ex:
They throw an Exception but Cancelation Snagged them, Took Debugger with Break Points to narrow down which Handlers were causing the problem,

Pardryll had reported the problem fixed on Discord.
Closing this issue

Issue History

Date Modified Username Field Change
2018-01-24 16:17 Pardryll New Issue
2018-01-24 16:17 Pardryll Tag Attached: Crash
2018-01-24 16:17 Pardryll Tag Attached: glitch
2018-02-02 15:44 gerolkae Assigned To => gerolkae
2018-02-02 15:44 gerolkae Status new => confirmed
2018-02-02 15:44 gerolkae Note Added: 0000487
2018-02-11 16:27 gerolkae Status confirmed => resolved
2018-02-11 16:27 gerolkae Resolution open => fixed
2018-02-11 16:27 gerolkae Note Added: 0000488
2018-02-11 16:27 gerolkae Status resolved => closed